Package networkx :: Module search_class :: Class Length

[frames | no frames]

## Type Length

    object --+
             |
        Search --+
                 |
                Length

Path length visitor. Returns dictionary of path lengths from vertex v. Useful especially in BFS (gives shortest paths).

Method Summary
| `__init__(self, G, queue, **kwds)`
| ``lastseen_edge`(self, e)` Visitor function called the first time an edge is encountered.
Inherited from `Search`: `end_tree`, `firstseen_edge`, `firstseen_vertex`, `lastseen_vertex`, `search`, `start_tree` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Method Details

### lastseen_edge(self, e)

Visitor function called the first time an edge is encountered.

  Overrides:
    `networkx.search_class.Search.lastseen_edge`

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net